@monolambda/eslint-config

ESLint config based on feross/standard

Stats

stars 🌟issues ⚠️updated 🛠created 🐣size 🏋️‍♀️
10May 7, 2019May 19, 2017Minified + gzip package size for @monolambda/eslint-config in KB

Readme

eslint-config

npm version Travis branch npm

Rules>

Rule set based on:

Included Plugins

  • eslint-plugin-jest

Opinions:

  • Uses babel-eslint parser by default.
  • Uses 4, spaces for easier readability.
  • Keeps most of the rules recommended rules.

Note: The current ruleset is subject to change and under review, please feel free to send a PR for rules you feel that are over the top.

Installation:

npm install @monolambda/eslint-config eslint --save

Usage

In .eslintrc:

{
    "extends": "@monolambda/eslint-config"
}

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.